## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate rust-embed

Name:           rust-rust-embed
Version:        8.5.0
Release:        %autorelease
Summary:        Custom Derive Macro which loads files into the rust binary

License:        MIT
URL:            https://crates.io/crates/rust-embed
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused optional features
Patch:          rust-embed-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust Custom Derive Macro which loads files into the rust binary at
compile time during release and loads the file from the fs during dev.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/license
%doc %{crate_instdir}/changelog.md
%doc %{crate_instdir}/readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-embed-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-embed-devel %{_description}

This package contains library source intended for building other packages which
use the "debug-embed" feature of the "%{crate}" crate.

%files       -n %{name}+debug-embed-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hex-devel %{_description}

This package contains library source intended for building other packages which
use the "hex" feature of the "%{crate}" crate.

%files       -n %{name}+hex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+include-exclude-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+include-exclude-devel %{_description}

This package contains library source intended for building other packages which
use the "include-exclude" feature of the "%{crate}" crate.

%files       -n %{name}+include-exclude-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+interpolate-folder-path-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+interpolate-folder-path-devel %{_description}

This package contains library source intended for building other packages which
use the "interpolate-folder-path" feature of the "%{crate}" crate.

%files       -n %{name}+interpolate-folder-path-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove examples that depend on removed features
rm -r examples/
# remove tests that depend on removed features
rm tests/mime_guess.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * doctests are broken
%cargo_test -- --lib
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jul 31 2024 Michel Lind <salimma@fedoraproject.org> - 8.5.0-1
- Update to version 8.5.0; Fixes: RHBZ#2296482

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 06 2024 Fabio Valentini <decathorpe@gmail.com> - 8.3.0-1
- Update to version 8.3.0; Fixes RHBZ#2233922

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Fabio Valentini <decathorpe@gmail.com> - 6.8.1-1
- Update to version 6.8.1; Fixes RHBZ#2213642

* Wed May 31 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 6.6.1-1
- Update to 6.6.1

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 14 2022 Fabio Valentini <decathorpe@gmail.com> - 6.4.2-1
- Update to version 6.4.2; Fixes RHBZ#2075743

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 30 2021 Fabio Valentini <decathorpe@gmail.com> - 6.3.0-1
- Update to version 6.3.0; Fixes RHBZ#2027091

* Thu Nov 18 2021 Fabio Valentini <decathorpe@gmail.com> - 6.2.0-2
- Drop all unused optional dependencies

* Mon Nov 08 2021 Fabio Valentini <decathorpe@gmail.com> - 6.2.0-1
- Update to version 6.2.0; Fixes RHBZ#1988827

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Mar 04 2021 Fabio Valentini <decathorpe@gmail.com> - 5.9.0-1
- Update to version 5.9.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 2021 Fabio Valentini <decathorpe@gmail.com> - 5.8.0-1
- Update to version 5.8.0.

* Thu Dec 10 2020 Fabio Valentini <decathorpe@gmail.com> - 5.7.0-1
- Update to version 5.7.0.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 5.6.0-1
- Update to 5.6.0

* Fri May 15 18:20:09 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 5.5.1-1
- Initial package

## END: Generated by rpmautospec
